> ## Name

> cgD3D11GetBufferObject - get the D3D11 buffer object for a buffer

> ## Synopsis

>     #include <Cg/cgD3D11.h>

>     ID3D11Buffer * cgD3D11GetBufferObject( CGbuffer buffer );

> ## Parameters

> buffer
>   The buffer for which the associated D3D11 buffer object will be retrieved.

> ## Return Values

> Returns the D3D11 buffer object associated with buffer.

> Returns NULL if any error occurs.

> ## Description

> cgD3D11GetBufferObject returns the D3D11 buffer object associated with a buffer.

> ## Examples

> ID3D11Buffer * id = cgD3D11GetBufferObject( myBuffer );

> ## Errors

> CG_INVALID_BUFFER_HANDLE_ERROR is generated if buffer is not a valid buffer.

> ## History

> cgD3D11GetBufferObject was introduced in Cg 3.1.

> ## See Also

> cgCreateBuffer, cgD3D11CreateBuffer, cgD3D11CreateBufferFromObject